import request from '@/utils/request'

// list
export function getRecordList(query) {
	return request({
		url: '/shian/record/list',
		method: 'get',
		params: query
	})
}
export function getCompanyList(query) {
	return request({
		url: '/shian/company/list',
		method: 'get',
		params: query
	})
}


// export
export function exportRecord(query) {
	return request({
		url: '/shian/record/export',
		method: 'get',
		params: query
	})
}

// DELETE
export function deleteRecord(ids) {
	return request({
		url: `/shian/record/${ids}`,
		method: 'DELETE'
	})
}

// info
export function getinfo(id) {
	return request({
		url: `/shian/record/${id}`,
		method: 'get'
	})
}

// add
export function addRecord(data) {
	return request({
		url: '/shian/record',
		method: 'post',
		data
	})
}

// update
export function updataRecord(data) {
	return request({
		url: '/shian/record',
		method: 'put',
		data
	})
}

export function enterpriseList(query) {
	return request({
		url: '/shian/information/list',
		method: 'get',
		params: query
	})
}
